#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:jmsmodule) do
  include EasyType
  include EasyType::Validators::Name

  isnamevar

  desc <<-EOD
  The JMS module name.

  EOD

  to_translate_to_resource do | raw_resource|
    raw_resource['jmsmodule']
  end

end

child_of(:wls_jms_module, :jmsmodule) { "#{domain}/#{jmsmodule}" }
