#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:candidate_machines_for_migratable_servers, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::ArrayProperty

  desc <<-EOD
  The set of machines (and order of preference) on which Node Manager will restart failed servers.
  (Requires you to enable each server for automatic migration.)

  EOD

  maps_to('CandidateMachinesForMigratableServers/')

  on_apply do
    apply_paths_with_references('/Machines', value)
  end

end
