#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:cluster_name) do
  include EasyType
  include EasyType::Validators::Name

  isnamevar

  desc <<-EOD
  The cluster name. This must be an alphanumeric string.

  To identify an cluster, use:

      wls_cluster { 'domain_name/TheClusterName':
      ...
      }

  EOD

end
