#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:errorhandling, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  the SAF Error Handling of this SAF imported destination

  EOD

  maps_to('SAFErrorHandling/')

  on_apply do
    apply_paths_with_reference("/JMSSystemResources/#{resource[:jmsmodule]}/JMSResource/#{resource[:jmsmodule]}/SAFErrorHandlings", value)
  end


end

child_of(:wls_saf_error_handler, :errorhandling) { "#{domain}/#{jmsmodule}:#{errorhandling}"}
