#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:autokillwfail, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  This is the equivalent of setting the OverloadProtectionMBean failureAction to "force-shutdown" and the panicAction to "system-exit". 

  An example on how to use this:

      ...{...:
         ...
         autokilliffailed => 1,
         ...
      }

  Help text generated from MBEan text.

  EOD

  maps_to('AutoKillIfFailed')
end
