#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:two_way_ssl, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
    Should Two Way SSL be used on the server.

  EOD

  maps_to('SSL/%{server_name}/TwoWaySSLEnabled')

end