#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:classpath, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Name

  desc <<-EOD
  The coherence machine classpath.

  Here is an example on how to use this:

      wls_coherence_server{ 'my_coherence_server':
        ...
        classpath => 'myClasspath',
        ...
      }
  
  EOD


  maps_to('CoherenceServerStart/%{coherence_server_name}/ClassPath')

end
