#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:coherence_server_name) do
  include EasyType
  include EasyType::Validators::Name

  isnamevar

  desc <<-EOD
  The coherence server name.

  To identify a coherence server, use:

      wls_coherence_server{'domain_name/TheServerName':
      ...
      }

  EOD

end
