#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_max_transactions, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
    The JTA transaction max transactions value.

  EOD

  maps_to('JTA/%{domain_name}/MaxTransactions')

end
