#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_transaction_timeout, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
    The JTA transaction timeout value.

  EOD

  maps_to('JTA/%{domain_name}/TimeoutSeconds')

end
